<div class="card mb-3">
  <div class="card-header">
   <StatusIndicator @status={{@pool.Status}} @statusKey="Enabled"/> {{@pool.Alias}}
  </div>
  <div class="card-body">
    <div class="row">
      <div class="col-md-6">
        <div class="row mb-2">
          <div class="col-md-12"><strong>DHCPv4 Settings</strong></div>
        </div>
        <div class="row mb-2">
          <div class="col-md-3"></div>
          <div class="col-md-9">
            <Input @type="checkbox" @value="{{@pool.Enable}}" @checked={{this.enabled}} class="form-check-input" />
            <label class="form-check-label">Enable</label>
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-md-3">
            <label class="col-form-label">Start Address</label>
          </div>
          <div class="col-md-9"> 
            <Input class="form-control" type="text" @value={{@pool.MinAddress}} disabled={{this.disabled}} />
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-md-3">
            <label class="col-form-label">End Address</label>
          </div>
          <div class="col-md-9"> 
            <Input class="form-control" type="text" @value={{@pool.MaxAddress}} disabled={{this.disabled}} />
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-md-3">
            <label class="col-form-label">Lease Time</label>
          </div>
          <div class="col-md-9"> 
            <Input class="form-control" type="text" @value={{@pool.LeaseTime}} disabled={{this.disabled}} />
          </div>
        </div>
      </div>
      <div class="col-md-6">
        <div class="row mb-2">
          <div class="col-md-3">&nbsp;</div>
        </div>
        <div class="row mb-2">
          <div class="col-md-12">Number of Clients: {{@pool.ClientNumberOfEntries}}</div>
        </div>
        <div class="row mb-2">
          <div class="col-md-3">
            <label class="col-form-label">Subnet Mask</label>
          </div>
          <div class="col-md-9"> 
            <Input class="form-control" type="text" @value={{@pool.SubnetMask}} disabled={{this.disabled}} />
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-md-3">
            <label class="col-form-label">IP Routers</label>
          </div>
          <div class="col-md-9"> 
            <Input class="form-control" type="text" @value={{@pool.IPRouters}} disabled={{this.disabled}} />
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-md-3">
            <label class="col-form-label">DNS Servers</label>
          </div>
          <div class="col-md-9"> 
            <Input class="form-control" type="text" @value={{@pool.DNSServers}} disabled={{this.disabled}} />
          </div>
        </div>
        <div class="row mb-2">
          <div class="col-md-3"></div>
          <div class="col-md-7"> 
          </div>
          <div class="col-md-2">
            <button type="button" class="btn btn-primary" {{on "click" this.updatePool}}>Update</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
